org.apache.maven.plugin

## Class DebugConfigurationListener

- java.lang.Object
- - org.apache.maven.plugin.DebugConfigurationListener

    public class DebugConfigurationListener
    extends java.lang.Object

Log at debug level the mojo configuration.

Version:
  $Id: DebugConfigurationListener.java 720043 2008-11-23 21:15:31Z bentmann $
Author:
  Brett Porter

### Constructor Summary

Constructors
Constructor and Description
`DebugConfigurationListener(Logger logger)`

### Method Summary

Methods
`void` `notifyFieldChangeUsingReflection(java.lang.String fieldName, java.lang.Object value, java.lang.Object target)`
`void` `notifyFieldChangeUsingSetter(java.lang.String fieldName, java.lang.Object value, java.lang.Object target)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DebugConfigurationListener

    public DebugConfigurationListener(Logger logger)

### Method Detail

#### notifyFieldChangeUsingSetter

    public void notifyFieldChangeUsingSetter(java.lang.String fieldName,
                                    java.lang.Object value,
                                    java.lang.Object target)

#### notifyFieldChangeUsingReflection

    public void notifyFieldChangeUsingReflection(java.lang.String fieldName,
                                        java.lang.Object value,
                                        java.lang.Object target)